package com.fastbee.xunjian.service.impl;

import com.fastbee.common.utils.DateUtils;
import com.fastbee.xunjian.domain.XjInspectionNote;
import com.fastbee.xunjian.service.IXjInspectionNoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fastbee.xunjian.mapper.XjInspectionNoteMapper;

import java.util.List;

/**
 * 巡检注意事项Service业务层处理
 *
 * @author kenlixunjian
 * @date 2023-08-23
 */
@Service
public class XjInspectionNoteServiceImpl implements IXjInspectionNoteService {
    @Autowired
    private XjInspectionNoteMapper XjInspectionNoteMapper;

    /**
     * 查询巡检注意事项
     *
     * @param id 巡检注意事项主键
     * @return 巡检注意事项
     */
    @Override
    public XjInspectionNote selectXjInspectionNoteById(Long id) {
        return XjInspectionNoteMapper.selectXjInspectionNoteById(id);
    }

    /**
     * 查询巡检注意事项列表
     *
     * @param XjInspectionNote 巡检注意事项
     * @return 巡检注意事项
     */
    @Override
    public List<XjInspectionNote> selectXjInspectionNoteList(XjInspectionNote XjInspectionNote) {
        return XjInspectionNoteMapper.selectXjInspectionNoteList(XjInspectionNote);
    }

    /**
     * 新增巡检注意事项
     *
     * @param XjInspectionNote 巡检注意事项
     * @return 结果
     */
    @Override
    public int insertXjInspectionNote(XjInspectionNote XjInspectionNote) {
        XjInspectionNote.setCreateTime(DateUtils.getNowDate());
        return XjInspectionNoteMapper.insertXjInspectionNote(XjInspectionNote);
    }

    /**
     * 修改巡检注意事项
     *
     * @param XjInspectionNote 巡检注意事项
     * @return 结果
     */
    @Override
    public int updateXjInspectionNote(XjInspectionNote XjInspectionNote) {
        XjInspectionNote.setUpdateTime(DateUtils.getNowDate());
        return XjInspectionNoteMapper.updateXjInspectionNote(XjInspectionNote);
    }

    /**
     * 批量删除巡检注意事项
     *
     * @param ids 需要删除的巡检注意事项主键
     * @return 结果
     */
    @Override
    public int deleteXjInspectionNoteByIds(Long[] ids) {
        return XjInspectionNoteMapper.deleteXjInspectionNoteByIds(ids);
    }

    /**
     * 删除巡检注意事项信息
     *
     * @param id 巡检注意事项主键
     * @return 结果
     */
    @Override
    public int deleteXjInspectionNoteById(Long id) {
        return XjInspectionNoteMapper.deleteXjInspectionNoteById(id);
    }
}
